# Ogre::BillboardChain::Element Class Reference

Contains the data of an element of the BillboardChain. More...

`#include <OgreBillboardChain.h>`

List of all members.

## Public Member Functions

| Element ()
| Element (Vector3 position, Real width, Real texCoord, ColourValue colour)

## Public Attributes

Vector3 | position
Real | width
Real | texCoord
| U or V texture coord depending on options.
ColourValue | colour

## Detailed Description

Contains the data of an element of the BillboardChain.

Definition at line 77 of file OgreBillboardChain.h.

## Constructor & Destructor Documentation

Ogre::BillboardChain::Element::Element | ( |  | ) |

Ogre::BillboardChain::Element::Element | ( | Vector3 | position,
|  | Real | width,
|  | Real | texCoord,
|  | ColourValue | colour |
| ) |  |  |

## Member Data Documentation

Vector3 Ogre::BillboardChain::Element::position

Definition at line 89 of file OgreBillboardChain.h.

Real Ogre::BillboardChain::Element::width

Definition at line 90 of file OgreBillboardChain.h.

Real Ogre::BillboardChain::Element::texCoord

U or V texture coord depending on options.

Definition at line 92 of file OgreBillboardChain.h.

ColourValue Ogre::BillboardChain::Element::colour

Definition at line 93 of file OgreBillboardChain.h.

The documentation for this class was generated from the following file:

- OgreBillboardChain.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:32:47 2009